<?xml version="1.0" encoding="utf-8"?>
<!--
	WasteX v1.08 - simple EDI for waste shipments

	Copyright (C) 2023 Environment Agency Austria
	Commissioned by the Austrian Federal Ministry of Environment (BMK)

	Contact: edm-helpdesk@umweltbundesamt.at

	Licensed under the EUPL, Version 1.2 or – as soon they will be approved
	by the European Commission – subsequent versions of the EUPL (the "Licence");

	You may not use this work except in compliance with the Licence.

	You may obtain a copy of the Licence at: http://joinup.ec.europa.eu/software/page/eupl

	Unless required by applicable law or agreed to in writing, work distributed under the licence is distributed
	on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

	See the Licence for the specific language governing permissions and limitations under the Licence.
-->
<xsl:transform xmlns:error="https://doi.org/10.5281/zenodo.1495494#error" xmlns:f="http://f.net/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:sch="http://purl.oclc.org/dsdl/schematron" xmlns:schxslt="https://doi.org/10.5281/zenodo.1495494" xmlns:schxslt-api="https://doi.org/10.5281/zenodo.1495494#api" xmlns:wxm="http://www.eudin.org/schema/wastex_message" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<rdf:Description xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dct="http://purl.org/dc/terms/" xmlns:skos="http://www.w3.org/2004/02/skos/core#">
		<dct:created>2023-04-27T15:28:30.099915+02:00</dct:created>
	</rdf:Description>
	<xsl:output indent="yes"/>
	<xsl:decimal-format decimal-separator="." grouping-separator=","/>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:valNodeName" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if (exists($ncontext/ancestor::wxm:MessageValidationContext/wxm:ValidationNodeName)) then concat('»',$ncontext/ancestor::wxm:MessageValidationContext/wxm:ValidationNodeName,'«') else 'the validation node'"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgNotID" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if (exists($ncontext/ancestor::wxm:MessageValidationContext/wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity/wxm:NotificationID)) then ($ncontext/ancestor::wxm:MessageValidationContext/wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity/wxm:NotificationID)[1] else ''"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgSeqNumID" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if (exists($ncontext/ancestor::wxm:MessageValidationContext/wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity/wxm:SequenceNumberID)) then ($ncontext/ancestor::wxm:MessageValidationContext/wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity/wxm:SequenceNumberID)[1] else ''"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgTypeName" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:variable name="nvalcontext" select="$ncontext/ancestor::wxm:MessageValidationContext"/>
		<xsl:sequence select="if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:MovementAnnouncement)) then 'movement announcement message' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus)) then 'movement announcement status message' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:CarrierConfirmation)) then 'carrier confirmation message' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt)) then 'confirmation of waste receipt message' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment)) then 'confirmation of waste treatment message' else 'message'))))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:dateName" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:variable name="nvalcontext" select="$ncontext/ancestor::wxm:MessageValidationContext"/>
		<xsl:sequence select="if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:MovementAnnouncement)) then 'shipment date' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus)) then 'shipment date' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:CarrierConfirmation)) then 'transfer date' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt)) then 'waste receipt date' else (if (exists($nvalcontext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment)) then 'treatment completion date' else 'date'))))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:availContentTypesShort" as="xs:string*">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:variable name="nvalcontext" select="$ncontext/ancestor::wxm:MessageValidationContext"/>
		<xsl:sequence select="(if (xs:boolean($nvalcontext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator)) then 'movement announcement' else '', if (xs:integer($nvalcontext/wxm:ValidationNodeIndividualData/wxm:CarrierConfirmationInDatabaseCount) gt 0) then 'carrier confirmation' else '', if (xs:boolean($nvalcontext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator)) then 'confirmation of waste receipt' else '', if (xs:boolean($nvalcontext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean($nvalcontext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) then 'confirmation of the completion of waste treatment' else '')[. != '']"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:safeStringValue" as="xs:string">
		<xsl:param name="nelem" as="node()?"/>
		<xsl:sequence select="if (exists($nelem)) then ($nelem/text()) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:matchingPartyNodes" as="node()*">
		<xsl:param name="npartyavail" as="node()*"/>
		<xsl:param name="spartyid" as="xs:string"/>
		<xsl:param name="sregisterid" as="xs:string"/>
		<xsl:variable name="nmainmatch" select="$npartyavail[(wxm:PartyID eq $spartyid) and (wxm:PartyID/@registerID eq $sregisterid)]"/>
		<xsl:sequence select="if (count($nmainmatch) ge 1) then ($nmainmatch) else ($npartyavail[wxm:RecipientSpecificPartyID eq $spartyid])"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:matchingTransportMovementNodes" as="node()*">
		<xsl:param name="ntransportmovementavail" as="node()*"/>
		<xsl:param name="scarrierpartyid" as="xs:string"/>
		<xsl:param name="sregisterid" as="xs:string"/>
		<xsl:variable name="nmainmatch" select="$ntransportmovementavail[(wxm:CarrierPartyID eq $scarrierpartyid) and (wxm:CarrierPartyID/@registerID eq $sregisterid)]"/>
		<xsl:sequence select="if (count($nmainmatch) ge 1) then ($nmainmatch) else ($ntransportmovementavail[wxm:RecipientSpecificCarrierPartyID eq $scarrierpartyid])"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:matchingPartySiteNodes" as="node()*">
		<xsl:param name="npartysiteavail" as="node()*"/>
		<xsl:param name="spartyid" as="xs:string"/>
		<xsl:param name="sregisterid" as="xs:string"/>
		<xsl:param name="spostalareaid" as="xs:string"/>
		<xsl:variable name="nmainmatch" select="$npartysiteavail[(wxm:PartyID eq $spartyid) and (wxm:PartyID/@registerID eq $sregisterid) and (wxm:SitePostalAreaID eq $spostalareaid)]"/>
		<xsl:sequence select="if (count($nmainmatch) ge 1) then ($nmainmatch) else ($npartysiteavail[(wxm:RecipientSpecificPartyID eq $spartyid) and (wxm:SitePostalAreaID eq $spostalareaid)])"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:concatID" as="xs:string">
		<xsl:param name="sida" as="xs:string"/>
		<xsl:param name="sidb" as="xs:string"/>
		<xsl:param name="ssep" as="xs:string"/>
		<xsl:sequence select="if ($sida ne '') then (if ($sidb ne '') then (concat($sida,$ssep,$sidb)) else ($sida)) else ($sidb)"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:listPartyID" as="xs:string">
		<xsl:param name="nparty" as="node()"/>
		<xsl:param name="ssep" as="xs:string"/>
		<xsl:variable name="sidwastex" select="if (exists($nparty/wxm:PartyID)) then (concat('WasteX relevant ID »',$nparty/wxm:PartyID/text(),'« (»',$nparty/wxm:PartyID/@registerID,'«)')) else ('')"/>
		<xsl:variable name="sidspec" select="if (exists($nparty/wxm:RecipientSpecificPartyID)) then (concat('recipient specific ID »',$nparty/wxm:RecipientSpecificPartyID/text(),'«')) else ('')"/>
		<xsl:sequence select="f:concatID($sidwastex,$sidspec,$ssep)"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveCountryIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:variable name="lnodeelem" select="$lnodevalcontext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq $sid]"/>
		<xsl:sequence select="if (exists($lnodeelem) and exists($lnodeelem/wxm:CountryTwoLetterID)) then (concat($lnodeelem/wxm:CountryTwoLetterID,' (ID »',$sid,'«)')) else (concat('»',$sid,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:quoteJoin" as="xs:string">
		<xsl:param name="ntext" as="node()*"/>
		<xsl:sequence select="if (count($ntext) eq 0) then ('') else (concat('»',string-join($ntext/text(),'«, »'),'«'))"/>
	</xsl:function>
	<xsl:template match="/">
		<xsl:variable name="metadata" as="element()?">
			<svrl:metadata xmlns:dct="http://purl.org/dc/terms/" xmlns:skos="http://www.w3.org/2004/02/skos/core#" xmlns:svrl="http://purl.oclc.org/dsdl/svrl">
				<dct:created>
					<xsl:value-of select="current-dateTime()"/>
				</dct:created>
				<dct:source>
					<rdf:Description xmlns:dc="http://purl.org/dc/elements/1.1/">
						<dct:created>2023-04-27T15:28:30.099915+02:00</dct:created>
					</rdf:Description>
				</dct:source>
			</svrl:metadata>
		</xsl:variable>
		<xsl:variable name="report" as="element(schxslt:report)">
			<schxslt:report>
				<xsl:call-template name="d20e147"/>
			</schxslt:report>
		</xsl:variable>
		<xsl:variable name="schxslt:report" as="node()*">
			<xsl:for-each select="$report/schxslt:pattern">
				<xsl:sequence select="node()"/>
				<xsl:sequence select="$report/schxslt:rule[@pattern = current()/@id]/node()"/>
			</xsl:for-each>
		</xsl:variable>
		<svrl:schematron-output xmlns:svrl="http://purl.oclc.org/dsdl/svrl">
			<svrl:ns-prefix-in-attribute-values prefix="wxm" uri="http://www.eudin.org/schema/wastex_message"/>
			<svrl:ns-prefix-in-attribute-values prefix="f" uri="http://f.net/"/>
			<xsl:sequence select="$schxslt:report"/>
		</svrl:schematron-output>
	</xsl:template>
	<xsl:template match="text() | @*" mode="#all" priority="-10"/>
	<xsl:template match="*" mode="#all" priority="-10">
		<xsl:apply-templates mode="#current" select="@*"/>
		<xsl:apply-templates mode="#current" select="node()"/>
	</xsl:template>
	<xsl:template name="d20e147">
		<schxslt:pattern id="d20e147">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e170">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e187">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e200">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e217">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e232">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e247">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e261">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e283">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e305">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e329">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e348">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e365">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e385">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e400">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e415">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e430">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e458">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e480">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e505">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e527">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e557">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e581">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e603">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e631">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e654">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e673">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e699">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e725">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e749">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e771">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e787">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e809">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e826">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e852">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e869">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e882">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e905">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e920">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e955">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e968">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e987">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1004">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1027">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1049">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1068">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1083">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1102">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1128">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1144">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1168">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1181">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1209">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1228">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1263">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1281">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1316">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1338">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1353">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1370">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1389">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1425">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1447">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1466">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1483">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1502">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1515">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1538">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1557">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1566">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1581">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1611">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1643">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1659">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1678">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1697">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1710">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1736">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1753">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1773">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1792">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1822">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1844">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1870">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1894">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1910">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1927">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1944">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1968">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e1998">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<schxslt:pattern id="d20e2033">
			<xsl:if test="exists(base-uri(/))"/>
			<xsl:for-each select="/"/>
		</schxslt:pattern>
		<xsl:apply-templates mode="d20e147" select="/"/>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" priority="90" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e147">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e147']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R011 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R011_chkcon">
							<xsl:attribute name="test">(xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. The transmission of the <xsl:value-of select="f:msgTypeName(current())"/> is late because for this combination of notification number and serial number the database at <xsl:value-of select="f:valNodeName(current())"/> already contains the following: <xsl:value-of select="string-join((for $m in f:availContentTypesShort(current()) return (if (($m eq 'movement announcement') or ($m eq 'carrier confirmation')) then '' else $m))[. != ''], ', ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e147')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="89" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e170">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e170']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R013 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="((xs:integer(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:CarrierConfirmationInDatabaseCount) gt 0) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R013_chkcon">
							<xsl:attribute name="test">((xs:integer(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:CarrierConfirmationInDatabaseCount) gt 0) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()</xsl:attribute>
							<svrl:text>The movement announcement message refers to the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. The transmission of the movement announcement message is late because for this combination of notification number and serial number the database at <xsl:value-of select="f:valNodeName(current())"/> already contains the following: <xsl:value-of select="string-join((for $m in f:availContentTypesShort(current()) return (if ($m eq 'movement announcement') then '' else $m))[. != ''], ', ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e170')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="88" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e187">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e187']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R017 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:WasteProductionPartySite))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R017_prvalw">
							<xsl:attribute name="test">exists(wxm:WasteProductionPartySite)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks information on the waste production (WasteProductionPartySite elements).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e187')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="87" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e200">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e200']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R044 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(distinct-values(wxm:NationalRoute/wxm:CountryID)) ne count(wxm:NationalRoute/wxm:CountryID)) and (count(wxm:NationalRoute[exists(following-sibling::wxm:NationalRoute) and (wxm:CountryID eq (following-sibling::wxm:NationalRoute)[1]/wxm:CountryID)]) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R044_uqstrc">
							<xsl:attribute name="test">(count(distinct-values(wxm:NationalRoute/wxm:CountryID)) ne count(wxm:NationalRoute/wxm:CountryID)) and (count(wxm:NationalRoute[exists(following-sibling::wxm:NationalRoute) and (wxm:CountryID eq (following-sibling::wxm:NationalRoute)[1]/wxm:CountryID)]) eq 0)</xsl:attribute>
							<svrl:text>In the route information with points of exit and points of entry (NationalRoute elements) contained in the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« the following countries, represented with their ISO 3166-1 3-digit codes<xsl:value-of select="if (exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement/wxm:CountryTwoLetterID)) then ' and two-letter-codes' else ''"/>, occur more than once: <xsl:value-of select="string-join((for $m in distinct-values(wxm:NationalRoute/wxm:CountryID) return if (count(wxm:NationalRoute[wxm:CountryID eq $m]) ge 2) then (if (exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq $m]/wxm:CountryTwoLetterID)) then concat($m,' (',/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq $m]/wxm:CountryTwoLetterID,')') else $m) else '')[. != ''], ', ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e200')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" priority="86" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e217">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e217']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R047 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:ReceiptDate))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R047_prvalw">
							<xsl:attribute name="test">exists(wxm:ReceiptDate)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the waste receipt date (ReceiptDate element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e217')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" priority="85" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e232">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e232']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R060 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:TransportModeID))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R060_prvalw">
							<xsl:attribute name="test">exists(wxm:TransportModeID)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks transport mode information (TransportModeID element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e232')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="84" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e247">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e247']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R066 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(wxm:NationalRoute) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R066_chkcon">
							<xsl:attribute name="test">count(wxm:NationalRoute) eq 1</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains country entry point and exit point information for a single country only.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e247')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:PlannedTreatmentCompletionDate" priority="83" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e261">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e261']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R074 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:PlannedTreatmentCompletionDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) ge (xs:date(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)-xs:dayTimeDuration('P1D'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R074_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) ge (xs:date(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)-xs:dayTimeDuration('P1D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains the planned date of waste treatment completion »<xsl:value-of select="."/>«. The message also contains the waste receipt date »<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate"/>«. According to this data, the treatment is completed <xsl:value-of select="days-from-duration(xs:date(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)-xs:date(current()))"/> days before waste receipt. This error triggers for a waste treatment completion that is 2 or more days before waste receipt, leaving 1 day tolerance for time zone date progression differences.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e261')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteProductionPartySite" priority="82" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e283">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e283']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R081 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteProductionPartySite" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:SitePostalAreaID))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R081_prvalw">
							<xsl:attribute name="test">exists(wxm:SitePostalAreaID)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the post code (SitePostalAreaID element) for waste production site no. <xsl:value-of select="1+count(preceding-sibling::*[name() eq name(current())])"/>, which refers to the waste production party with ID »<xsl:value-of select="wxm:PartyID"/>« (»<xsl:value-of select="current()/wxm:PartyID/@registerID"/>«).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e283')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteProductionPartySite" priority="81" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e305">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e305']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R085 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteProductionPartySite" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteProductionPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) gt 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R085_chkref">
							<xsl:attribute name="test">count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteProductionPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) gt 1</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to a waste production party with ID »<xsl:value-of select="wxm:PartyID"/>« (»<xsl:value-of select="current()/wxm:PartyID/@registerID"/>«) in combination with a production site with post code »<xsl:value-of select="wxm:SitePostalAreaID"/>«. The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> contains multiple waste production party and site combinations matching this party ID and site post code. As a result, the movement announcement does not uniquely reference a waste production entry of the notification.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e305')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity" priority="80" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e329">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e329']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R100 for context "wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StatusID eq 'CANCELLED'">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R100_chkcon">
							<xsl:attribute name="test">/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StatusID eq 'CANCELLED'</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. In the database at <xsl:value-of select="f:valNodeName(current())"/> the movement announcement for this combination of notification number and serial number is recorded as cancelled. As a result, <xsl:value-of select="f:valNodeName(current())"/> cannot accept new messages referring to this combination of notification number and serial number.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e329')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:MovementAnnouncement/wxm:NationalRoute[position() ne last()]" priority="79" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e348">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e348']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R112 for context "wxm:MovementAnnouncement/wxm:NationalRoute[position() ne last()]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:ExitPointName))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R112_prvalw">
							<xsl:attribute name="test">exists(wxm:ExitPointName)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the exit point name (ExitPointName element) for route part no. <xsl:value-of select="1+count(preceding-sibling::*[name() eq name(current())])"/> in country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,wxm:CountryID/text())"/>.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e348')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MessageCreationUTCTimestamp" priority="78" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e365">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e365']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R114 for context "wxm:WasteMovementUserMessage/wxm:MessageCreationUTCTimestamp" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R114_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains creation timestamp »<xsl:value-of select="."/>« which lies in the future, i.e., it is greater than message receipt timestamp »<xsl:value-of select="/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp"/>«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e365')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="77" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e385">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e385']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R118 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:WasteProductionPartySite[not(exists(wxm:SitePostalAreaID))])) and count(distinct-values(wxm:WasteProductionPartySite/concat(wxm:PartyID,',',wxm:SitePostalAreaID))) ne count(wxm:WasteProductionPartySite)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R118_uqstrc">
							<xsl:attribute name="test">not(exists(wxm:WasteProductionPartySite[not(exists(wxm:SitePostalAreaID))])) and count(distinct-values(wxm:WasteProductionPartySite/concat(wxm:PartyID,',',wxm:SitePostalAreaID))) ne count(wxm:WasteProductionPartySite)</xsl:attribute>
							<svrl:text>In the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« the following combinations of waste production party ID and waste production site postcode (WasteProductionPartySite elements) occur more than once: <xsl:value-of select="string-join((for $m in distinct-values(wxm:WasteProductionPartySite/concat(wxm:PartyID,',',wxm:SitePostalAreaID)) return if (count(wxm:WasteProductionPartySite[(wxm:PartyID eq tokenize($m,',')[1]) and (wxm:SitePostalAreaID eq tokenize($m,',')[2])]) ge 2) then concat(tokenize($m,',')[1],', ',tokenize($m,',')[2]) else '')[. != ''], '; ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e385')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment" priority="76" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e400">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e400']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R129 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:TreatmentPartySite))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129_prvalw">
							<xsl:attribute name="test">exists(wxm:TreatmentPartySite)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks treatment party and site information (TreatmentPartySite element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e400')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite" priority="75" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e415">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e415']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R136 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="((count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID)) ge 1) or (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID)) ge 1)) and not(exists(wxm:SitePostalAreaID))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R136_prvcdn">
							<xsl:attribute name="test">((count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID)) ge 1) or (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID)) ge 1)) and not(exists(wxm:SitePostalAreaID))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the post code for the waste receipt site (SitePostalAreaID element).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e415')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:CarrierPartyID" priority="74" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e430">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e430']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R148 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:CarrierPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:TransportMovement) and (count(f:matchingTransportMovementNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:TransportMovement,current(),current()/@registerID)) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R148_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:TransportMovement) and (count(f:matchingTransportMovementNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:TransportMovement,current(),current()/@registerID)) lt 1)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the carrier party with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This does not match any of the carriers in the movement announcement information for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>. Note that for party IDs to match, the transmitted message must contain the correct type of ID (WasteX relevant ID or recipient specific ID), and <xsl:value-of select="f:valNodeName(current())"/> must contain unique party IDs with the correct types as well.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e430')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" priority="73" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e458">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e458']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R158 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityEndDate) and (current() gt /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityEndDate)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R158_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityEndDate) and (current() gt /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityEndDate)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains shipment start date »<xsl:value-of select="."/>«. The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> defines »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityEndDate"/>« as the last day at which shipments are permitted. According to these records, the shipment will take place after the consented shipment period.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e458')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:AnnouncementIdentity" priority="72" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e480">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e480']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R170 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:AnnouncementIdentity" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:NotificationInDatabaseIndicator) eq true()) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementCount) and (xs:decimal(wxm:SequenceNumberID) gt xs:decimal( /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementCount))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R170_chkcon">
							<xsl:attribute name="test">(xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:NotificationInDatabaseIndicator) eq true()) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementCount) and (xs:decimal(wxm:SequenceNumberID) gt xs:decimal( /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementCount))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. In the database at <xsl:value-of select="f:valNodeName(current())"/> the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« the total consented number of shipments is »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementCount"/>«, which the serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« exceeds.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e480')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MessageCreationUTCTimestamp" priority="71" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e505">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e505']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R200 for context "wxm:WasteMovementUserMessage/wxm:MessageCreationUTCTimestamp" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) le (xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)-xs:dayTimeDuration('P5D')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R200_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) le (xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)-xs:dayTimeDuration('P5D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains creation timestamp »<xsl:value-of select="."/>«. According to this message creation timestamp and the message receipt timestamp »<xsl:value-of select="/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp"/>« more than <xsl:value-of select="days-from-duration(xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)-xs:dateTime(current()))"/> days have elapsed between message creation and message receipt. This warning triggers for time differences of 5 or more days.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e505')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass/wxm:NumericValue" priority="70" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e527">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e527']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R207 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass/wxm:NumericValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteMass)) or not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass)) or ((xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteMass)+xs:decimal(current())) le xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass)))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R207_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteMass)) or not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass)) or ((xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteMass)+xs:decimal(current())) le xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass))</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to <xsl:value-of select="format-number(xs:decimal(.), '#,###.##')"/>
								<xsl:value-of select="@unitID"/> of waste. According to the notification in the database at <xsl:value-of select="f:valNodeName(current())"/> the total consented amount of waste is <xsl:value-of select="format-number(xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass),'#,###.##')"/>
								<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass/@unitID"/>. According to the shipment information in the database at <xsl:value-of select="f:valNodeName(current())"/> a total of <xsl:value-of select="format-number(xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteMass),'#,###.##')"/>
								<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteMass/@unitID"/> has already been announced or confirmed in receipt previously. As a result, the movement announcement exceeds the total consented amount of waste.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e527')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" priority="69" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e557">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e557']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R219 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or (xs:date(.) ge xs:date(format-dateTime(adjust-dateTime-to-timezone(xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp), xs:dayTimeDuration('-PT12H'))-xs:dayTimeDuration('P2D'),'[Y]-[M,2]-[D,2]'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R219_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or (xs:date(.) ge xs:date(format-dateTime(adjust-dateTime-to-timezone(xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp), xs:dayTimeDuration('-PT12H'))-xs:dayTimeDuration('P2D'),'[Y]-[M,2]-[D,2]')))</xsl:attribute>
							<svrl:text>
								<xsl:value-of select="xs:date(format-dateTime(adjust-dateTime-to-timezone(xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp), xs:dayTimeDuration('-PT12H'))-xs:dayTimeDuration('P2D'),'[Y]-[M,2]-[D,2]'))"/>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains shipment start date »<xsl:value-of select="."/>«. The message receipt timestamp is »<xsl:value-of select="/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp"/>«, which means that more than <xsl:value-of select="days-from-duration(xs:date(format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('-PT12H')),'[Y]-[M,2]-[D,2]'))-xs:date(current()))"/> days have elapsed between shipment start date and message receipt. This error triggers for a time difference of more than 1 day. Note that pursuant to provisions such as the WSR the information must be exchanged as an announcement, i.e., BEFORE the start of the shipment.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e557')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:ScopeID" priority="68" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e581">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e581']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R226 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:ScopeID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite)) and (. ne 'ENTIRE')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R226_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite)) and (. ne 'ENTIRE')</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to treatment at one facility, NOT including subsequent treatment (value »<xsl:value-of select="."/>« in element ScopeID). According to the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>, there is NO subsequent treatment of waste for shipments under this consent. Confirmations of the completion of waste treatment must therefore refer to the completion of the ENTIRE treatment in the country of destination (Art. 16(e) WSR), by featuring the value »ENTIRE« in the ScopeID element.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e581')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:EntryPointName" priority="67" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="ncountrymatch" select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[wxm:CountryID eq current()/preceding-sibling::wxm:CountryID]"/>
		<schxslt:rule pattern="d20e603">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e603']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R241 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:EntryPointName" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count($ncountrymatch) ge 1) and not(exists($ncountrymatch/wxm:EntryPointName[. eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R241_chkref">
							<xsl:attribute name="test">(count($ncountrymatch) ge 1) and not(exists($ncountrymatch/wxm:EntryPointName[. eq current()/text()]))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to an entry point name »<xsl:value-of select="."/>« for country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,preceding-sibling::wxm:CountryID/text())"/>. This does not match any of the entry point names - <xsl:value-of select="f:quoteJoin($ncountrymatch/wxm:EntryPointName)"/> - from the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e603')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute[1]/wxm:CountryID" priority="66" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e631">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e631']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R247 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute[1]/wxm:CountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country) and (/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[1]/wxm:CountryID ne current()/text())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R247_chkref">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country) and (/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[1]/wxm:CountryID ne current()/text())</xsl:attribute>
							<svrl:text>In the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« the first part of the route information refers to the country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,current()/text())"/>. The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> contains country of dispatch <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[1]/wxm:CountryID/text())"/>. The route must start in the country of dispatch.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e631')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" priority="65" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e654">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e654']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R249 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume) and not(exists(wxm:ReceivedWasteVolume))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R249_prvcdn">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume) and not(exists(wxm:ReceivedWasteVolume))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks information on the received volume of waste (ReceivedWasteVolume element), despite the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> containing a consented maximum total volume of waste.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e654')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" priority="64" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e673">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e673']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R253 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or (xs:date(.) ge (xs:date(format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('-PT12H')),'[Y]-[M,2]-[D,2]'))-xs:dayTimeDuration('P30D'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R253_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or (xs:date(.) ge (xs:date(format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('-PT12H')),'[Y]-[M,2]-[D,2]'))-xs:dayTimeDuration('P30D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains <xsl:value-of select="f:dateName(current())"/> »<xsl:value-of select="."/>«. The message receipt timestamp is »<xsl:value-of select="/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp"/>«, which means that more than <xsl:value-of select="days-from-duration(xs:date(format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('-PT12H')),'[Y]-[M,2]-[D,2]'))-xs:date(current()))"/> days have elapsed between <xsl:value-of select="f:dateName(current())"/> and message receipt. This error triggers for a time difference of more than 30 days. Note that there are many provisions in practice, such as WSR or consent provisions, that can require transmissions sooner than within 30 days.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e673')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteProductionPartySite" priority="63" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e699">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e699']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R259 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteProductionPartySite" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteProductionPartySite)) or not(exists(wxm:SitePostalAreaID)) or (count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteProductionPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) ge 1))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R259_chkref">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteProductionPartySite)) or not(exists(wxm:SitePostalAreaID)) or (count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteProductionPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) ge 1)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to a waste production party with ID »<xsl:value-of select="wxm:PartyID"/>« (»<xsl:value-of select="current()/wxm:PartyID/@registerID"/>«) in combination with a production site with post code »<xsl:value-of select="wxm:SitePostalAreaID"/>«. This does not match any of the waste production party-site-combinations in the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>. Note that for party IDs to match, the transmitted message must contain the correct type of ID (WasteX relevant ID or recipient specific ID), and <xsl:value-of select="f:valNodeName(current())"/> must contain unique party IDs with the correct types as well.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e699')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite/wxm:PartyID" priority="62" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e725">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e725']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R279 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite/wxm:PartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R279_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the waste receiver party with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This does not match the message creation party with ID »<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID"/>« (»<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID/@registerID"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e725')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:ScopeID" priority="61" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e749">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e749']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R305 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:ScopeID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite) and (. ne 'FACILITY')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R305_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite) and (. ne 'FACILITY')</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the completion of the ENTIRE treatment in the country of destination (value »<xsl:value-of select="."/>« in element ScopeID). According to the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>, there is subsequent treatment of waste for shipments under this consent. This version of the WasteX specification does NOT support confirmations of the completion of subsequent treatment (Art. 15(e) WSR), but rather supports confirmations of the completion of interim treatment only (Art. 15(d) WSR). For the confirmation of the completion of interim treatment, the ScopeID element must feature the value »FACILITY«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e749')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" priority="60" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e771">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e771']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R307 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:PlannedTreatmentCompletionDate))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R307_prvalw">
							<xsl:attribute name="test">exists(wxm:PlannedTreatmentCompletionDate)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the planned date of completing waste treatment (PlannedTreatmentCompletionDate element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e771')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" priority="59" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e787">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e787']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R323 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp) and (xs:string(.) gt format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('PT14H')),'[Y]-[M,2]-[D,2]'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R323_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp) and (xs:string(.) gt format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('PT14H')),'[Y]-[M,2]-[D,2]'))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains <xsl:value-of select="f:dateName(current())"/> »<xsl:value-of select="."/>« which lies in the future, i.e., it is greater than message receipt timestamp »<xsl:value-of select="/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp"/>«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e787')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/*[not(contains(local-name(),'Status'))]/wxm:AnnouncementIdentity" priority="58" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e809">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e809']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R342 for context "wxm:WasteMovementUserMessage/*[not(contains(local-name(),'Status'))]/wxm:AnnouncementIdentity" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedChangeData/wxm:ShipmentRecordContentUpdateCount) and (xs:integer(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedChangeData/wxm:ShipmentRecordContentUpdateCount) ge 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R342_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedChangeData/wxm:ShipmentRecordContentUpdateCount) and (xs:integer(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedChangeData/wxm:ShipmentRecordContentUpdateCount) ge 1)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. Content of the respective type already exists in the database at <xsl:value-of select="f:valNodeName(current())"/> and has been updated at least once prior to the receipt of the new message. The WasteX protocol expects single transmissions of 'final' information as the standard case, and the avoidance of update/correction-transmissions to the greatest extent possible.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e809')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:CarrierPartyID" priority="57" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e826">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e826']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R356 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:CarrierPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty, current(), current()/@registerID)) ne 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R356_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty, current(), current()/@registerID)) ne 1)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the carrier with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This does not match any of the carriers in the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>. Note that for party IDs to match, the transmitted message must contain the correct type of ID (WasteX relevant ID or recipient specific ID), and <xsl:value-of select="f:valNodeName(current())"/> must contain unique party IDs with the correct types as well.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e826')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" priority="56" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e852">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e852']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R369 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R369_chkref">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq current()/text()]))</xsl:attribute>
							<svrl:text>The route information in the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to a country with ISO 3166-1 3-digit code »<xsl:value-of select="."/>«. A country with this ID does not exist in the reference data at <xsl:value-of select="f:valNodeName(current())"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e852')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="55" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e869">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e869']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R378 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(count(wxm:PackageTypeID) ge 1)">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R378_prvalw">
							<xsl:attribute name="test">count(wxm:PackageTypeID) ge 1</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks packaging type information (PackageTypeID elements).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e869')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute[last()]/wxm:CountryID" priority="54" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e882">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e882']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R387 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute[last()]/wxm:CountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(../../wxm:NationalRoute) ge 2) and (exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country)) and (/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[last()]/wxm:CountryID ne current()/text())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R387_chkref">
							<xsl:attribute name="test">(count(../../wxm:NationalRoute) ge 2) and (exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country)) and (/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[last()]/wxm:CountryID ne current()/text())</xsl:attribute>
							<svrl:text>In the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« the last part of the route information refers to the country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,current()/text())"/>. The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> contains country of destination <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[last()]/wxm:CountryID/text())"/>. The route must end in the country of destination.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e882')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" priority="53" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e905">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e905']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R418 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:TransportMeansID))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R418_prvalw">
							<xsl:attribute name="test">exists(wxm:TransportMeansID)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks a transport means identifier, such as a license plate number (TransportMeansID element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e905')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" priority="52" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e920">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e920']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R426 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) ge (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)-xs:dayTimeDuration('P1D'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R426_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) ge (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)-xs:dayTimeDuration('P1D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains <xsl:value-of select="f:dateName(current())"/> »<xsl:value-of select="."/>«. For the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«, the database at <xsl:value-of select="f:valNodeName(current())"/> contains waste receipt information with receipt date »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate"/>«. According to this data, the <xsl:value-of select="f:dateName(current())"/> is <xsl:value-of select="days-from-duration(xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)-xs:date(current()))"/> days before the receipt date. This error triggers for a <xsl:value-of select="f:dateName(current())"/> that is 2 or more days before the receipt date, leaving 1 day tolerance for time zone date progression differences.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e920')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="51" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e955">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e955']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R439 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:StartDate))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R439_prvalw">
							<xsl:attribute name="test">exists(wxm:StartDate)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the shipment start date (StartDate element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e955')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" priority="50" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e968">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e968']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R446 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(parent::*/preceding-sibling::wxm:NationalRoute) and (parent::*/preceding-sibling::wxm:NationalRoute[1]/wxm:CountryID eq current()/text())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R446_chkcon">
							<xsl:attribute name="test">exists(parent::*/preceding-sibling::wxm:NationalRoute) and (parent::*/preceding-sibling::wxm:NationalRoute[1]/wxm:CountryID eq current()/text())</xsl:attribute>
							<svrl:text>The route information with points of exit and points of entry in the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the same country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,current()/text())"/> in two consecutive route parts, no. <xsl:value-of select="count(parent::*/preceding-sibling::wxm:NationalRoute)"/> and <xsl:value-of select="1+count(parent::*/preceding-sibling::wxm:NationalRoute)"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e968')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteMass | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteVolume" priority="49" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e987">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e987']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R470 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteMass | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteVolume" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="xs:decimal(wxm:NumericValue) eq 0.0">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R470_chkval">
							<xsl:attribute name="test">xs:decimal(wxm:NumericValue) eq 0.0</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains a waste <xsl:value-of select="if (contains(local-name(.),'Volume')) then 'volume' else 'mass'"/> value of »0.0«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e987')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" priority="48" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1004">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1004']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R473 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList) and exists(../../wxm:StartDate) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq current()/text()]/wxm:ValidityEndDate) and (xs:string(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq current()/text()]/wxm:ValidityEndDate) le xs:string(../../wxm:StartDate))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R473_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList) and exists(../../wxm:StartDate) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq current()/text()]/wxm:ValidityEndDate) and (xs:string(/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq current()/text()]/wxm:ValidityEndDate) le xs:string(../../wxm:StartDate))</xsl:attribute>
							<svrl:text>The route information in the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,current()/text())"/>. According to the reference data at <xsl:value-of select="f:valNodeName(current())"/> this country ceased to exist at <xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeReferenceData/wxm:CountryList/wxm:ListElement[wxm:CountryID eq current()/text()]/wxm:ValidityEndDate"/>, and therefore should NOT be referenced in the movement announcement with start date <xsl:value-of select="../../wxm:StartDate"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1004')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:PackageTypeID" priority="47" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1027">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1027']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R479 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:PackageTypeID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PackageTypeID) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PackageTypeID[. eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R479_chkref">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PackageTypeID) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PackageTypeID[. eq current()/text()]))</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the packaging type with code »<xsl:value-of select="."/>«. In the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> the type with code »<xsl:value-of select="."/>« is not among the consented packaging types.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1027')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" priority="46" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1049">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1049']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R489 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass) and not(exists(wxm:ReceivedWasteMass))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R489_prvcdn">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass) and not(exists(wxm:ReceivedWasteMass))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks information on the received mass of waste (ReceivedWasteMass element), despite the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> containing a consented maximum total mass of waste.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1049')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment" priority="45" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1068">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1068']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R493 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:TreatmentCompletionDate))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R493_prvalw">
							<xsl:attribute name="test">exists(wxm:TreatmentCompletionDate)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the treatment completion date (TreatmentCompletionDate element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1068')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="44" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1083">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1083']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R495 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass) and not(exists(wxm:WasteMass))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R495_prvcdn">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteMass) and not(exists(wxm:WasteMass))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks information on the mass of waste to be shipped (WasteMass element), despite the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> containing a consented maximum total mass of waste.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1083')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID" priority="43" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1102">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1102']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R497 for context "wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(exists(../wxm:MovementAnnouncement) or exists(../wxm:MovementAnnouncementStatus)) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:NotifierParty) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:NotifierParty, current(), current()/@registerID)) ne 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R497_chkcon">
							<xsl:attribute name="test">(exists(../wxm:MovementAnnouncement) or exists(../wxm:MovementAnnouncementStatus)) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:NotifierParty) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:NotifierParty, current(), current()/@registerID)) ne 1)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to a message creation party with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This is different from the notification party reference in the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>, which contains <xsl:value-of select="f:listPartyID(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:NotifierParty,' and ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1102')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="42" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1128">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1128']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R519 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(distinct-values(wxm:PackageTypeID)) ne count(wxm:PackageTypeID)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R519_uqstrc">
							<xsl:attribute name="test">count(distinct-values(wxm:PackageTypeID)) ne count(wxm:PackageTypeID)</xsl:attribute>
							<svrl:text>In the packaging type information (PackageTypeID elements) contained in the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« the following packaging types occur more than once: <xsl:value-of select="string-join((for $m in distinct-values(wxm:PackageTypeID) return if (count(wxm:PackageTypeID[. eq $m]) ge 2) then $m else '')[. != ''], ', ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1128')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:TransportMovement/wxm:CarrierPartyID" priority="41" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1144">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1144']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R521 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:TransportMovement/wxm:CarrierPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty)) or (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty,current(),current()/@registerID)) eq 1))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R521_chkref">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty)) or (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty,current(),current()/@registerID)) eq 1)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to a carrier party with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This does not match any of the carrier parties in the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« at the <xsl:value-of select="f:valNodeName(current())"/> database. Note that for party IDs to match, the transmitted message must contain the correct type of ID (WasteX relevant ID or recipient specific ID), and <xsl:value-of select="f:valNodeName(current())"/> must contain unique party IDs with the correct types as well.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1144')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="40" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1168">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1168']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R522 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:PackageCount))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R522_prvalw">
							<xsl:attribute name="test">not(exists(wxm:PackageCount))</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the total number of packages (PackageCount element).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1168')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:ExitPointName" priority="39" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="ncountrymatch" select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[wxm:CountryID eq current()/preceding-sibling::wxm:CountryID]"/>
		<schxslt:rule pattern="d20e1181">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1181']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R526 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:ExitPointName" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count($ncountrymatch) ge 1) and not(exists($ncountrymatch/wxm:ExitPointName[. eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R526_chkref">
							<xsl:attribute name="test">(count($ncountrymatch) ge 1) and not(exists($ncountrymatch/wxm:ExitPointName[. eq current()/text()]))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to an exit point name »<xsl:value-of select="."/>« for country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,preceding-sibling::wxm:CountryID/text())"/>. This does not match any of the exit point names - <xsl:value-of select="f:quoteJoin($ncountrymatch/wxm:ExitPointName)"/> - from the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1181')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass | wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteMass | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteVolume" priority="38" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1209">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1209']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R530 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass | wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteMass | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteVolume" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="xs:decimal(wxm:NumericValue) lt 0.0">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R530_chkval">
							<xsl:attribute name="test">xs:decimal(wxm:NumericValue) lt 0.0</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains a negative waste <xsl:value-of select="if (contains(local-name(.),'Volume')) then 'volume' else 'mass'"/> value »<xsl:value-of select="wxm:NumericValue"/>«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1209')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" priority="37" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1228">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1228']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R533 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) le (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)+xs:dayTimeDuration('P366D'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R533_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) le (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)+xs:dayTimeDuration('P366D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains <xsl:value-of select="f:dateName(current())"/> »<xsl:value-of select="."/>«. For the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«, the database at <xsl:value-of select="f:valNodeName(current())"/> contains waste receipt information with receipt date »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate"/>«. According to this data, the <xsl:value-of select="f:dateName(current())"/> is <xsl:value-of select="days-from-duration(xs:date(current())-xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate))"/> days after the waste receipt date. This warning triggers for a <xsl:value-of select="f:dateName(current())"/> that is more than 366 days after the waste receipt date.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1228')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass | wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume" priority="36" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1263">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1263']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R557 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass | wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="xs:decimal(wxm:NumericValue) eq 0.0">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R557_chkval">
							<xsl:attribute name="test">xs:decimal(wxm:NumericValue) eq 0.0</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains a waste <xsl:value-of select="if (contains(local-name(.),'Volume')) then 'volume' else 'mass'"/> value of »0.0«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1263')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite" priority="35" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1281">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1281']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R564 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(wxm:SitePostalAreaID) and (count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,wxm:PartyID,wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) eq 0) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty,wxm:PartyID,wxm:PartyID/@registerID)) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R564_chkref">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(wxm:SitePostalAreaID) and (count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,wxm:PartyID,wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) eq 0) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty,wxm:PartyID,wxm:PartyID/@registerID)) eq 0)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the waste receiver party with ID »<xsl:value-of select="wxm:PartyID"/>« (»<xsl:value-of select="wxm:PartyID/@registerID"/>«)<xsl:value-of select="if (exists(wxm:SitePostalAreaID)) then concat(' and receipt site with post code »',xs:string(wxm:SitePostalAreaID),'«') else ''"/>. The <xsl:value-of select="if (exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite)) then 'first ' else ''"/>waste treatment party and site in the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> has <xsl:value-of select="f:listPartyID(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,', ')"/> and post code »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite/wxm:SitePostalAreaID"/>«, which does not match.<xsl:value-of select="if (exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty)) then (concat(' The consignee party in the notification/consent has ',f:listPartyID(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty,' and '),', which does not match either.')) else ''"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1281')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" priority="34" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1316">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1316']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R576 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityStartDate) and (current() lt /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityStartDate)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R576_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityStartDate) and (current() lt /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityStartDate)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains shipment start date »<xsl:value-of select="."/>«. The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> defines »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ValidityStartDate"/>« as the first day at which shipments are permitted. According to these records, the shipment takes place before the consented shipment period.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1316')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:SequenceNumberID" priority="33" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1338">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1338']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R602 for context "wxm:SequenceNumberID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="xs:integer(.) lt 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R602_chkval">
							<xsl:attribute name="test">xs:integer(.) lt 1</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for notification number »<xsl:value-of select="f:msgNotID(current())"/>« refers to serial number »<xsl:value-of select="."/>«. The serial number must be geater or equal to 1.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1338')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:MovementAnnouncement/wxm:NationalRoute[position() eq 1]" priority="32" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1353">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1353']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R606 for context "wxm:MovementAnnouncement/wxm:NationalRoute[position() eq 1]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(wxm:EntryPointName)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R606_prvalw">
							<xsl:attribute name="test">exists(wxm:EntryPointName)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains the entry point name »<xsl:value-of select="wxm:EntryPointName"/>« for the first part of the route in country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,wxm:CountryID/text())"/>. The first part of the route must not contain an entry point name.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1353')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus" priority="31" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1370">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1370']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R614 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="((xs:integer(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:CarrierConfirmationInDatabaseCount) gt 0) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R614_chkcon">
							<xsl:attribute name="test">((xs:integer(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:CarrierConfirmationInDatabaseCount) gt 0) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()</xsl:attribute>
							<svrl:text>The movement announcement cancellation (movement announcement status message) refers to the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. <xsl:value-of select="f:valNodeName(current())"/> cannot accept/process the cancellation, as for this combination of notification number and serial number, the database at <xsl:value-of select="f:valNodeName(current())"/> already contains the following: <xsl:value-of select="string-join((for $m in f:availContentTypesShort(current()) return (if ($m eq 'movement announcement') then '' else $m))[. != ''], ', ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1370')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" priority="30" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1389">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1389']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R631 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentCompletionDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)) or (xs:date(.) ge (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)-xs:dayTimeDuration('P1D'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R631_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)) or (xs:date(.) ge (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)-xs:dayTimeDuration('P1D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains <xsl:value-of select="f:dateName(current())"/> »<xsl:value-of select="."/>«. For the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«, the database at <xsl:value-of select="f:valNodeName(current())"/> contains movement announcement information with shipment start date »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate"/>«. According to this data, the <xsl:value-of select="f:dateName(current())"/> is <xsl:value-of select="days-from-duration(xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)-xs:date(current()))"/> days before the shipment start date. This warning triggers for a <xsl:value-of select="f:dateName(current())"/> that is 2 or more days before the shipment start date, leaving 1 day tolerance for time zone date progression differences.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1389')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" priority="29" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1425">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1425']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R651 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R651_chkcon">
							<xsl:attribute name="test">(xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:FacilityConfirmationOfWasteTreatmentInDatabaseIndicator) or xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:EntireConfirmationOfWasteTreatmentInDatabaseIndicator)) eq true()</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. The transmission of the <xsl:value-of select="f:msgTypeName(current())"/> is late because for this combination of notification number and serial number the database at <xsl:value-of select="f:valNodeName(current())"/> already contains the following: <xsl:value-of select="string-join((for $m in f:availContentTypesShort(current()) return (if (($m eq 'movement announcement') or ($m eq 'carrier confirmation') or ($m eq 'confirmation of waste receipt')) then '' else $m))[. != ''], ', ')"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1425')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="28" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1447">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1447']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R684 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume) and not(exists(wxm:WasteVolume))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R684_prvcdn">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume) and not(exists(wxm:WasteVolume))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks information on the volume of waste to be shipped (WasteVolume element), despite the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> containing a consented maximum total volume of waste.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1447')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:MovementAnnouncement/wxm:NationalRoute[position() ne 1]" priority="27" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1466">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1466']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R686 for context "wxm:MovementAnnouncement/wxm:NationalRoute[position() ne 1]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:EntryPointName))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R686_prvalw">
							<xsl:attribute name="test">exists(wxm:EntryPointName)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the entry point name (EntryPointName element) for route part no. <xsl:value-of select="1+count(preceding-sibling::*[name() eq name(current())])"/> in country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,wxm:CountryID/text())"/>.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1466')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus/wxm:AnnouncementIdentity" priority="26" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1483">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1483']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R688 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus/wxm:AnnouncementIdentity" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R688_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) eq false())</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> (announcement cancellation) refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. In the database at <xsl:value-of select="f:valNodeName(current())"/> there is no movement announcement for this combination of notification number and serial number. As a result, <xsl:value-of select="f:valNodeName(current())"/> ignores the message.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1483')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="25" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1502">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1502']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R705 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:NationalRoute))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R705_prvalw">
							<xsl:attribute name="test">exists(wxm:NationalRoute)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks country entry point and exit point information (NationalRoute elements).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1502')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" priority="24" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1515">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1515']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R712 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:StartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or (xs:date(.) le xs:date(format-dateTime(xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)+xs:yearMonthDuration('P1Y'),'[Y]-[M,2]-[D,2]'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R712_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or (xs:date(.) le xs:date(format-dateTime(xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)+xs:yearMonthDuration('P1Y'),'[Y]-[M,2]-[D,2]')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains shipment start date »<xsl:value-of select="."/>«. The message receipt timestamp is »<xsl:value-of select="/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp"/>«, which means that from the time of message receipt it still takes more than <xsl:value-of select="days-from-duration(xs:date(.)-xs:date(format-dateTime(xs:dateTime(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp),'[Y]-[M,2]-[D,2]'))) idiv 365.25"/> years until the shipment starts. This error triggers for a time difference of 1 or more years.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1515')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:AnnouncementIdentity" priority="23" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1538">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1538']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R715 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:AnnouncementIdentity" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R715_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:ConfirmationOfWasteReceiptInDatabaseIndicator) eq false())</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. In the database at <xsl:value-of select="f:valNodeName(current())"/> there is no confirmation of waste receipt for this combination of notification number and serial number at the time of <xsl:value-of select="f:msgTypeName(current())"/> receipt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1538')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" priority="22" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1557">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1557']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R725 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeName) and (/wxm:MessageValidationContext/wxm:ValidationNodeName eq 'edm.gv.at')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R725_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeName) and (/wxm:MessageValidationContext/wxm:ValidationNodeName eq 'edm.gv.at')</xsl:attribute>
							<svrl:text>AT: Note that for the time being the WasteX interface of the Austrian competent authority cannot store carrier confirmations. The competent authority will not have access to transmitted carrier confirmations.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1557')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" priority="21" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1566">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1566']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R726 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:RejectionIndicator))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R726_prvalw">
							<xsl:attribute name="test">exists(wxm:RejectionIndicator)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the indication of whether or not the received waste was rejected (RejectionIndicator element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1566')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:TransportMovement" priority="20" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="nmatchcarrier" select="f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty,current()/wxm:CarrierPartyID,current()/wxm:CarrierPartyID/@registerID)"/>
		<schxslt:rule pattern="d20e1581">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1581']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R732 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:TransportMovement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(wxm:TransportModeID) and (count($nmatchcarrier) eq 1) and not(exists($nmatchcarrier/wxm:TransportModeID[. eq current()/wxm:TransportModeID]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R732_chkref">
							<xsl:attribute name="test">exists(wxm:TransportModeID) and (count($nmatchcarrier) eq 1) and not(exists($nmatchcarrier/wxm:TransportModeID[. eq current()/wxm:TransportModeID]))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the combination of transport mode »<xsl:value-of select="wxm:TransportModeID"/>« and carrier party with ID »<xsl:value-of select="current()/wxm:CarrierPartyID"/>« (»<xsl:value-of select="current()/wxm:CarrierPartyID/@registerID"/>«). The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> does NOT contain this combination of transport mode and carrier party. The notification/consent contains the following transport modes for the party: <xsl:value-of select="string-join(distinct-values($nmatchcarrier/wxm:TransportModeID), ', ')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1581')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentPartySite" priority="19" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1611">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1611']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R767 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentPartySite" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(wxm:SitePostalAreaID) and (count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R767_chkref">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(wxm:SitePostalAreaID) and (count(f:matchingPartySiteNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,current()/wxm:PartyID,current()/wxm:PartyID/@registerID,f:safeStringValue(current()/wxm:SitePostalAreaID))) eq 0)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the waste treatment party with ID »<xsl:value-of select="wxm:PartyID"/>« (»<xsl:value-of select="wxm:PartyID/@registerID"/>«) and treatment site post code »<xsl:value-of select="wxm:SitePostalAreaID"/>«. The <xsl:value-of select="if (exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite)) then 'first ' else ''"/>waste treatment party and site in the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> has <xsl:value-of select="f:listPartyID(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite,', ')"/> and post code »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite/wxm:SitePostalAreaID"/>«, which does not match.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1611')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity/wxm:NotificationID" priority="18" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1643">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1643']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R780 for context "wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity/wxm:NotificationID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:NotificationInDatabaseIndicator) eq false()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R780_chkref">
							<xsl:attribute name="test">xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:NotificationInDatabaseIndicator) eq false()</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>«. A notification with that number does not exist in the database at <xsl:value-of select="f:valNodeName(current())"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1643')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:AnnouncementIdentity | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:AnnouncementIdentity | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:AnnouncementIdentity" priority="17" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1659">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1659']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R795 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:AnnouncementIdentity | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:AnnouncementIdentity | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:AnnouncementIdentity" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R795_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncementInDatabaseIndicator) eq false())</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. In the database at <xsl:value-of select="f:valNodeName(current())"/> there is no movement announcement for this combination of notification number and serial number at the time of <xsl:value-of select="f:msgTypeName(current())"/> receipt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1659')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity" priority="16" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1678">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1678']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R797 for context "wxm:WasteMovementUserMessage/*/wxm:AnnouncementIdentity" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PartyIdentifierCompleteIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PartyIdentifierCompleteIndicator) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R797_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PartyIdentifierCompleteIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:PartyIdentifierCompleteIndicator) eq false())</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> lacks party identifiers needed for looking up party references contained in WasteX messages. This applies to one or more of the following parties: Notifier, waste producers, carriers, consignee and/or waste treatment parties.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1678')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" priority="15" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1697">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1697']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R798 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(count(wxm:TransportMovement) ge 1)">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R798_prvalw">
							<xsl:attribute name="test">count(wxm:TransportMovement) ge 1</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks carrier information (TransportMovement elements).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1697')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus" priority="14" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1710">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1710']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R804 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncementStatus" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)) or (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate) ge xs:date(format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('-PT12H'))-xs:dayTimeDuration('P2D'),'[Y]-[M,2]-[D,2]'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R804_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp)) or not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)) or (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate) ge xs:date(format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('-PT12H'))-xs:dayTimeDuration('P2D'),'[Y]-[M,2]-[D,2]')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. For this combination of notification number and serial number, the database at <xsl:value-of select="f:valNodeName(current())"/> contains latest movement announcement information with start date »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate"/>«. The receipt timestamp for the <xsl:value-of select="f:msgTypeName(current())"/> is »<xsl:value-of select="/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp"/>«, which means that more than <xsl:value-of select="days-from-duration(xs:date(format-dateTime(adjust-dateTime-to-timezone(/wxm:MessageValidationContext/wxm:EDIInteractionUTCTimestamp, xs:dayTimeDuration('-PT12H')),'[Y]-[M,2]-[D,2]'))-xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate))"/> days have elapsed between shipment start date and message receipt. This warning triggers for a posteriori announcement status updates (cancellations) with a time difference of more than 1 day. Note that pursuant to provisions such as the WSR the information must be exchanged as an announcement, i.e., BEFORE the start of the shipment.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1710')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:PackageCount" priority="13" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1736">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1736']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R808 for context "wxm:PackageCount" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="xs:integer(.) lt 0">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R808_chkval">
							<xsl:attribute name="test">xs:integer(.) lt 0</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains the number of packages »<xsl:value-of select="."/>«. The number of packages must be greater or equal to 0.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1736')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" priority="12" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1753">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1753']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R824 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:NationalRoute/wxm:CountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[wxm:CountryID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R824_chkref">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country) and not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:Country[wxm:CountryID eq current()/text()]))</xsl:attribute>
							<svrl:text>The route information in the movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,current()/text())"/>. According to the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>, this country is neither country of dispatch, nor country of transit, nor country of destination. The route information must match country of dispatch, countries of transit and country of destination from the notification/consent.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1753')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage" priority="11" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1773">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1773']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R827 for context "wxm:WasteMovementUserMessage" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementPermissionStatusIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementPermissionStatusIndicator) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R827_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementPermissionStatusIndicator) and (xs:boolean(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:MovementPermissionStatusIndicator) eq false())</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> refers to notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«. According to the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> the status of the notification and consent procedure is such that shipments are not or not yet permitted.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1773')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume/wxm:NumericValue" priority="10" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1792">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1792']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R837 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume/wxm:NumericValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteVolume)) or not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume)) or ((xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteVolume)+xs:decimal(current())) le xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume)))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R837_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteVolume)) or not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume)) or ((xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteVolume)+xs:decimal(current())) le xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume))</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to <xsl:value-of select="format-number(xs:decimal(.), '#,###.##')"/>
								<xsl:value-of select="@unitID"/> of waste. According to the notification in the database at <xsl:value-of select="f:valNodeName(current())"/> the total consented amount of waste is <xsl:value-of select="format-number(xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume),'#,###.##')"/>
								<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteVolume/@unitID"/>. According to the shipment information in the database at <xsl:value-of select="f:valNodeName(current())"/> a total of <xsl:value-of select="format-number(xs:decimal(/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteVolume),'#,###.##')"/>
								<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeAggregatedContentData/wxm:TotalWasteVolume/@unitID"/> has already been announced or confirmed in receipt previously. As a result, the movement announcement exceeds the total consented amount of waste.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1792')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:PlannedTreatmentCompletionDate" priority="9" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1822">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1822']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R849 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:PlannedTreatmentCompletionDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) le (xs:date(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)+xs:dayTimeDuration('P366D'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R849_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)) or (xs:date(.) le (xs:date(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate)+xs:dayTimeDuration('P366D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains the planned date of waste treatment completion »<xsl:value-of select="."/>«. The message also contains the waste receipt date »<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate"/>«. According to this data, the treatment is completed <xsl:value-of select="days-from-duration(xs:date(current())-xs:date(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate))"/> days after the waste receipt. This warning triggers for a waste treatment completion that is more than 366 days after the waste receipt date.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1822')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite/wxm:PartyID" priority="8" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1844">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1844']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R852 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiverPartySite/wxm:PartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty) and ((/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite/wxm:PartyID ne /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty/wxm:PartyID) or (/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite/wxm:PartyID/@registerID ne /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty/wxm:PartyID/@registerID)) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty,current(),current()/@registerID)) ge 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R852_chkcon">
							<xsl:attribute name="test">exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite) and exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty) and ((/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite/wxm:PartyID ne /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty/wxm:PartyID) or (/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:WasteTreatmentPartySite/wxm:PartyID/@registerID ne /wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty/wxm:PartyID/@registerID)) and (count(f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:ConsigneeParty,current(),current()/@registerID)) ge 1)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the waste receiver party with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This matches the consignee party from the notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/>, but does NOT match the <xsl:value-of select="if (exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:SubsequentWasteTreatmentPartySite)) then 'first ' else ''"/>waste treatment party. This version of the WasteX specification does NOT support Annex IB Block 17 WSR confirmations by consignees, but rather only supports Annex IB Block 18 confirmations by waste treatment parties.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1844')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentPartySite/wxm:PartyID" priority="7" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1870">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1870']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R899 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentPartySite/wxm:PartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R899_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the waste treatment party with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This does not match the message creation party with ID »<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID"/>« (»<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID/@registerID"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1870')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentPartySite" priority="6" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1894">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1894']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R902 for context "wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteTreatment/wxm:TreatmentPartySite" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:SitePostalAreaID))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R902_prvalw">
							<xsl:attribute name="test">exists(wxm:SitePostalAreaID)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the treatment site post code (SitePostalAreaID element).</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1894')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass|wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume|wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteMass|wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteVolume" priority="5" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1910">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1910']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R952 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass|wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteVolume|wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteMass|wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceivedWasteVolume" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(wxm:QuantificationTypeID))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R952_prvalw">
							<xsl:attribute name="test">exists(wxm:QuantificationTypeID)</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« lacks the quantification type (QuantificationTypeID element) in the <xsl:value-of select="if (contains(local-name(current()),'Volume')) then 'volume' else 'mass'"/> information. This means that it lacks the information whether the value is measured, calculated or estimated.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1910')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:MovementAnnouncement/wxm:NationalRoute[(position() eq last()) and (position() ge 2)]" priority="4" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1927">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1927']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R959 for context "wxm:MovementAnnouncement/wxm:NationalRoute[(position() eq last()) and (position() ge 2)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(wxm:ExitPointName)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R959_prvalw">
							<xsl:attribute name="test">exists(wxm:ExitPointName)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains the exit point name »<xsl:value-of select="wxm:ExitPointName"/>« for the last part of the route in country <xsl:value-of select="f:resolveCountryIDString(/wxm:MessageValidationContext,wxm:CountryID/text())"/>. The last part of the route must not contain an exit point name.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1927')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:CarrierPartyID" priority="3" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1944">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1944']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R967 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:CarrierPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R967_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the carrier with ID »<xsl:value-of select="."/>« (»<xsl:value-of select="current()/@registerID"/>«). This does not match the message creation party with ID »<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID"/>« (»<xsl:value-of select="/wxm:MessageValidationContext/wxm:WasteMovementUserMessage/wxm:MessageCreationPartyID/@registerID"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1944')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" priority="2" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="nmatchcarrier" select="f:matchingPartyNodes(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:Notification/wxm:CarrierParty,current()/wxm:CarrierPartyID,current()/wxm:CarrierPartyID/@registerID)"/>
		<schxslt:rule pattern="d20e1968">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1968']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R971 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(wxm:TransportModeID) and (count($nmatchcarrier) ge 1) and not(exists($nmatchcarrier/wxm:TransportModeID[. eq current()/wxm:TransportModeID]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R971_chkref">
							<xsl:attribute name="test">exists(wxm:TransportModeID) and (count($nmatchcarrier) ge 1) and not(exists($nmatchcarrier/wxm:TransportModeID[. eq current()/wxm:TransportModeID]))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to the combination of transport mode »<xsl:value-of select="wxm:TransportModeID"/>« and carrier party with ID »<xsl:value-of select="current()/wxm:CarrierPartyID"/>« (»<xsl:value-of select="current()/wxm:CarrierPartyID/@registerID"/>«). The notification/consent entry for »<xsl:value-of select="f:msgNotID(current())"/>« in the database at <xsl:value-of select="f:valNodeName(current())"/> does NOT contain this combination of transport mode and carrier party. The notification/consent contains the following transport modes for the party: <xsl:value-of select="string-join(distinct-values($nmatchcarrier/wxm:TransportModeID), ', ')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1968')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate" priority="1" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1998">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1998']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R979 for context "wxm:WasteMovementUserMessage/wxm:CarrierConfirmation/wxm:Date | wxm:WasteMovementUserMessage/wxm:ConfirmationOfWasteReceipt/wxm:ReceiptDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)) or (xs:date(.) le (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)+xs:dayTimeDuration('P200D'))))">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R979_chkcon">
							<xsl:attribute name="test">not(exists(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)) or (xs:date(.) le (xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate)+xs:dayTimeDuration('P200D')))</xsl:attribute>
							<svrl:text>The <xsl:value-of select="f:msgTypeName(current())"/> for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« contains <xsl:value-of select="f:dateName(current())"/> »<xsl:value-of select="."/>«. For the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>«, the database at <xsl:value-of select="f:valNodeName(current())"/> contains movement announcement information with shipment date »<xsl:value-of select="/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate"/>«. According to this data, the <xsl:value-of select="f:dateName(current())"/> is <xsl:value-of select="days-from-duration(xs:date(current())-xs:date(/wxm:MessageValidationContext/wxm:ValidationNodeIndividualData/wxm:MovementAnnouncement/wxm:StartDate))"/> days after the shipment start date. This warning triggers for a <xsl:value-of select="f:dateName(current())"/> that is 200 days or more after the shipment start date.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1998')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass/wxm:NumericValue" priority="0" mode="d20e147">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2033">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2033']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R987 for context "wxm:WasteMovementUserMessage/wxm:MovementAnnouncement/wxm:WasteMass/wxm:NumericValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(not(exists(../../wxm:TransportMovement[1]/wxm:TransportModeID)) or (../../wxm:TransportMovement[1]/wxm:TransportModeID eq 'R')) and (xs:decimal(.) ge 35)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R987_chkval">
							<xsl:attribute name="test">(not(exists(../../wxm:TransportMovement[1]/wxm:TransportModeID)) or (../../wxm:TransportMovement[1]/wxm:TransportModeID eq 'R')) and (xs:decimal(.) ge 35)</xsl:attribute>
							<svrl:text>The movement announcement message for the combination of notification number »<xsl:value-of select="f:msgNotID(current())"/>« and serial number »<xsl:value-of select="f:msgSeqNumID(current())"/>« refers to <xsl:value-of select="format-number(xs:decimal(.), '#,###.##')"/>
								<xsl:value-of select="@unitID"/> of waste. A waste mass greater or equal to 35t is considered unusually high for a single shipment of waste with transport on road.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2033')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:function name="schxslt:location" as="xs:string">
		<xsl:param name="node" as="node()"/>
		<xsl:variable name="segments" as="xs:string*">
			<xsl:for-each select="($node/ancestor-or-self::node())">
				<xsl:variable name="position">
					<xsl:number level="single"/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test=". instance of element()">
						<xsl:value-of select="concat('Q{', namespace-uri(.), '}', local-name(.), '[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of attribute()">
						<xsl:value-of select="concat('@Q{', namespace-uri(.), '}', local-name(.))"/>
					</xsl:when>
					<xsl:when test=". instance of processing-instruction()">
						<xsl:value-of select="concat('processing-instruction(&quot;', name(.), '&quot;)[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of comment()">
						<xsl:value-of select="concat('comment()[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of text()">
						<xsl:value-of select="concat('text()[', $position, ']')"/>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
			</xsl:for-each>
		</xsl:variable>
		<xsl:value-of select="concat('/', string-join($segments, '/'))"/>
	</xsl:function>
</xsl:transform>
